Show / Hide Table of Contents

# Struct AddonAOZNotebook

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AddonAOZNotebook

### Fields

| Improve this Doc View Source

#### ActiveActions01

##### Declaration

    public AddonAOZNotebook.ActiveActions ActiveActions01

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.ActiveActions |

| Improve this Doc View Source

#### ActiveActions02

##### Declaration

    public AddonAOZNotebook.ActiveActions ActiveActions02

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.ActiveActions |

| Improve this Doc View Source

#### ActiveActions03

##### Declaration

    public AddonAOZNotebook.ActiveActions ActiveActions03

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.ActiveActions |

| Improve this Doc View Source

#### ActiveActions04

##### Declaration

    public AddonAOZNotebook.ActiveActions ActiveActions04

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.ActiveActions |

| Improve this Doc View Source

#### ActiveActions05

##### Declaration

    public AddonAOZNotebook.ActiveActions ActiveActions05

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.ActiveActions |

| Improve this Doc View Source

#### ActiveActions06

##### Declaration

    public AddonAOZNotebook.ActiveActions ActiveActions06

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.ActiveActions |

| Improve this Doc View Source

#### ActiveActions07

##### Declaration

    public AddonAOZNotebook.ActiveActions ActiveActions07

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.ActiveActions |

| Improve this Doc View Source

#### ActiveActions08

##### Declaration

    public AddonAOZNotebook.ActiveActions ActiveActions08

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.ActiveActions |

| Improve this Doc View Source

#### ActiveActions09

##### Declaration

    public AddonAOZNotebook.ActiveActions ActiveActions09

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.ActiveActions |

| Improve this Doc View Source

#### ActiveActions10

##### Declaration

    public AddonAOZNotebook.ActiveActions ActiveActions10

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.ActiveActions |

| Improve this Doc View Source

#### ActiveActions11

##### Declaration

    public AddonAOZNotebook.ActiveActions ActiveActions11

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.ActiveActions |

| Improve this Doc View Source

#### ActiveActions12

##### Declaration

    public AddonAOZNotebook.ActiveActions ActiveActions12

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.ActiveActions |

| Improve this Doc View Source

#### ActiveActions13

##### Declaration

    public AddonAOZNotebook.ActiveActions ActiveActions13

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.ActiveActions |

| Improve this Doc View Source

#### ActiveActions14

##### Declaration

    public AddonAOZNotebook.ActiveActions ActiveActions14

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.ActiveActions |

| Improve this Doc View Source

#### ActiveActions15

##### Declaration

    public AddonAOZNotebook.ActiveActions ActiveActions15

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.ActiveActions |

| Improve this Doc View Source

#### ActiveActions16

##### Declaration

    public AddonAOZNotebook.ActiveActions ActiveActions16

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.ActiveActions |

| Improve this Doc View Source

#### ActiveActions17

##### Declaration

    public AddonAOZNotebook.ActiveActions ActiveActions17

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.ActiveActions |

| Improve this Doc View Source

#### ActiveActions18

##### Declaration

    public AddonAOZNotebook.ActiveActions ActiveActions18

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.ActiveActions |

| Improve this Doc View Source

#### ActiveActions19

##### Declaration

    public AddonAOZNotebook.ActiveActions ActiveActions19

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.ActiveActions |

| Improve this Doc View Source

#### ActiveActions20

##### Declaration

    public AddonAOZNotebook.ActiveActions ActiveActions20

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.ActiveActions |

| Improve this Doc View Source

#### ActiveActions21

##### Declaration

    public AddonAOZNotebook.ActiveActions ActiveActions21

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.ActiveActions |

| Improve this Doc View Source

#### ActiveActions22

##### Declaration

    public AddonAOZNotebook.ActiveActions ActiveActions22

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.ActiveActions |

| Improve this Doc View Source

#### ActiveActions23

##### Declaration

    public AddonAOZNotebook.ActiveActions ActiveActions23

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.ActiveActions |

| Improve this Doc View Source

#### ActiveActions24

##### Declaration

    public AddonAOZNotebook.ActiveActions ActiveActions24

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.ActiveActions |

| Improve this Doc View Source

#### AtkUnitBase

##### Declaration

    public AtkUnitBase AtkUnitBase

##### Field Value

Type | Description
--- | ---
AtkUnitBase |

| Improve this Doc View Source

#### SpellbookBlock01

##### Declaration

    public AddonAOZNotebook.SpellbookBlock SpellbookBlock01

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.SpellbookBlock |

| Improve this Doc View Source

#### SpellbookBlock02

##### Declaration

    public AddonAOZNotebook.SpellbookBlock SpellbookBlock02

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.SpellbookBlock |

| Improve this Doc View Source

#### SpellbookBlock03

##### Declaration

    public AddonAOZNotebook.SpellbookBlock SpellbookBlock03

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.SpellbookBlock |

| Improve this Doc View Source

#### SpellbookBlock04

##### Declaration

    public AddonAOZNotebook.SpellbookBlock SpellbookBlock04

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.SpellbookBlock |

| Improve this Doc View Source

#### SpellbookBlock05

##### Declaration

    public AddonAOZNotebook.SpellbookBlock SpellbookBlock05

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.SpellbookBlock |

| Improve this Doc View Source

#### SpellbookBlock06

##### Declaration

    public AddonAOZNotebook.SpellbookBlock SpellbookBlock06

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.SpellbookBlock |

| Improve this Doc View Source

#### SpellbookBlock07

##### Declaration

    public AddonAOZNotebook.SpellbookBlock SpellbookBlock07

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.SpellbookBlock |

| Improve this Doc View Source

#### SpellbookBlock08

##### Declaration

    public AddonAOZNotebook.SpellbookBlock SpellbookBlock08

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.SpellbookBlock |

| Improve this Doc View Source

#### SpellbookBlock09

##### Declaration

    public AddonAOZNotebook.SpellbookBlock SpellbookBlock09

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.SpellbookBlock |

| Improve this Doc View Source

#### SpellbookBlock10

##### Declaration

    public AddonAOZNotebook.SpellbookBlock SpellbookBlock10

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.SpellbookBlock |

| Improve this Doc View Source

#### SpellbookBlock11

##### Declaration

    public AddonAOZNotebook.SpellbookBlock SpellbookBlock11

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.SpellbookBlock |

| Improve this Doc View Source

#### SpellbookBlock12

##### Declaration

    public AddonAOZNotebook.SpellbookBlock SpellbookBlock12

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.SpellbookBlock |

| Improve this Doc View Source

#### SpellbookBlock13

##### Declaration

    public AddonAOZNotebook.SpellbookBlock SpellbookBlock13

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.SpellbookBlock |

| Improve this Doc View Source

#### SpellbookBlock14

##### Declaration

    public AddonAOZNotebook.SpellbookBlock SpellbookBlock14

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.SpellbookBlock |

| Improve this Doc View Source

#### SpellbookBlock15

##### Declaration

    public AddonAOZNotebook.SpellbookBlock SpellbookBlock15

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.SpellbookBlock |

| Improve this Doc View Source

#### SpellbookBlock16

##### Declaration

    public AddonAOZNotebook.SpellbookBlock SpellbookBlock16

##### Field Value

Type | Description
--- | ---
AddonAOZNotebook.SpellbookBlock |

### Methods

| Improve this Doc View Source

#### GetActiveActions(Int32)

##### Declaration

    public AddonAOZNotebook.ActiveActions GetActiveActions(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Returns

Type | Description
--- | ---
AddonAOZNotebook.ActiveActions |

| Improve this Doc View Source

#### GetSpellbookBlock(Int32)

##### Declaration

    public AddonAOZNotebook.SpellbookBlock GetSpellbookBlock(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Returns

Type | Description
--- | ---
AddonAOZNotebook.SpellbookBlock |